org.apache.fop.layoutmgr.list

## Class ListItemLayoutManager.ListItemPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.list.ListItemLayoutManager.ListItemPosition

Enclosing class:
  ListItemLayoutManager

    public class ListItemLayoutManager.ListItemPosition
    extends Position

### Constructor Summary

Constructors
Constructor and Description
`ListItemPosition(LayoutManager lm, int labelFirst, int labelLast, int bodyFirst, int bodyLast)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `generatesAreas()`
`int` `getBodyFirstIndex()`
`int` `getBodyLastIndex()`
`int` `getLabelFirstIndex()`
`int` `getLabelLastIndex()`
`Position` `getOriginalBodyPosition()`
`Position` `getOriginalLabelPosition()`
`void` `setOriginalBodyPosition(Position originalBodyPosition)`
`void` `setOriginalLabelPosition(Position originalLabelPosition)`
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.Position

`getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListItemPosition

    public ListItemPosition(LayoutManager lm,
                            int labelFirst,
                            int labelLast,
                            int bodyFirst,
                            int bodyLast)

### Method Detail

#### getLabelFirstIndex

    public int getLabelFirstIndex()

#### getLabelLastIndex

    public int getLabelLastIndex()

#### getBodyFirstIndex

    public int getBodyFirstIndex()

#### getBodyLastIndex

    public int getBodyLastIndex()

#### generatesAreas

    public boolean generatesAreas()

Overrides:
  `generatesAreas` in class `Position`
Returns:
  true if generates areas

#### toString

    public String toString()

Overrides:
  `toString` in class `Position`

#### getOriginalLabelPosition

    public Position getOriginalLabelPosition()

#### setOriginalLabelPosition

    public void setOriginalLabelPosition(Position originalLabelPosition)

#### getOriginalBodyPosition

    public Position getOriginalBodyPosition()

#### setOriginalBodyPosition

    public void setOriginalBodyPosition(Position originalBodyPosition)